# $Revision: 1.42 $, $Date: 2004/11/12 17:50:18 $
#
# Note: it's not work with -enable-gnome20
# and gtk2
#
Summary:	The GNOME disk catalog
Summary(pl):	Program do katalogowania pyt CD dla rodowiska GNOME
Name:		gtktalog
Version:	1.0.4
Release:	4
License:	GPL
Group:		Applications/Archiving
Source0:	http://savannah.nongnu.org/download/%{name}/%{name}.pkg/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	54ed43256a0d11d078f67485e0a80e0a
Patch0:		%{name}-path.patch
Patch1:		%{name}-amfix.patch
Patch2:		%{name}-desktop.patch
URL:		http://www.freesoftware.fsf.org/gtktalog/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	eject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTKtalog is a disk catalog, it means you can use it to create a really
small database with images of files and folders of your CD-rom. So you
can browse all your CD's very quickly, see contents of certain files
(tar.gz, rpm files ...). You can give to each folder and file a
category and a description. You can search for files in your database
with filename, category, description or file information parameter,
and find in which CD the file you are looking for is.

%description -l cs
GTKtalog je katalog disk, co znamen e jej mete pout k
vytvoen velmi mal databze s obrazem soubor a adres na vaem
CD-ROMu. Mete si pak snadno a rychle prohlet vae CD, vidt obsah
nkterch soubor (tar.gz, rpm balky, ...). Mete dt kadmu
adresi a souboru kategorii a popis. Mete v databzi hledat soubory
podle nzvu, kategorie, popisu i dalch informac o souboru a najt,
na kterm CD se hledan soubory nachz.

%description -l fr
GTKtalog est un catalogueur de disque. En d'autres termes, vous pouvez
l'utiliser pour crer une vraiment petite base de donnes avec les
images des fichiers et rpertoires de votre CD-rom. Vous pouvez ainsi
lire tous vos CD trs rapidement, voir le contenu de certains fichiers
(tar.gz, fichiers rpm...). Vous pouvez attribuer  chaque rpertoire
ou fichier une catgorie, une description ou des paramtres concernant
les informations du fichier. Et ainsi vous pouvez trouver dans quel CD
se trouve le fichier que vous cherchez.

%description -l nl
GTKtalog is een schijvencatalogeerder. Je kan er kleine databanken mee
maken, die informatie van vele CD-roms en diskettes bevatten. Dus kan
je heel snel al je CD's doorzoeken, de inhoud van sommige bestanden
bekijken (tar.gz, rpm bestanden ...). Je kan iedere map en ieder
bestand een categorie en beschrijving geven. Je kan bestanden zoeken
op naam, categorie, beschrijving of bestandsinformatie. Zo vind je
snel op welke CD het bestand dat je zoekt staat.

%description -l pl
GTKtalog jest katalogiem dyskw. Oznacza to, e moesz uywa go do
stworzenia maej bazy zawartoci swoich pyt cd. Dziki temu
odnalezienie pliku o znanej nazwie (lub czci nazwy) staje si
kwesti sekund a nie godzin. GTKtalog automatycznie rozpoznaje 
i odpowiednio kataloguje pliki wielu rnych typw (tar, rpm, MP3, 
avi, html, mpeg).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}

%configure \
	--disable-gnome20 \
	--disable-gnomevfs \
	--enable-pthreads \
	--enable-catalog2 \
	--enable-catalog3 \
	--enable-htmltitle \
	--enable-mp3info \
	--enable-modinfo \
	--enable-aviinfo \
	--enable-mpeginfo \
	--enable-fixcd \
	--disable-eject
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_desktopdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog Docs/README.{catalog*,data_representation,Linux} NEWS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%{_desktopdir}/*
%{_datadir}/%{name}
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtktalog.spec,v $
Revision 1.42  2004/11/12 17:50:18  paladine
- rel 4 for fixed desktop patch

Revision 1.41  2004/10/28 10:49:16  paladine
- "MP3" unification

Revision 1.40  2004/10/14 19:58:24  kolodko
- fixed problem with to unroll list
- back to gtk-1.2
- rel 3

Revision 1.39  2004/08/31 09:00:59  snurf
- typos / formatting / etc.

Revision 1.38  2003/12/12 22:40:59  grzegol
- added desktop patch (adapt .desktop file to standard)

Revision 1.37  2003/12/08 21:35:24  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.36  2003/09/02 10:40:41  grzegol
- updated to 1.0.4

Revision 1.35  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.34  2003/07/27 17:11:25  grzegol
- updated to 1.0.3
- added --enable-gnomevfs and --enable-fixcd
- more docs

Revision 1.33  2003/06/27 13:51:28  qboosh
- oh no, not again... forgot to update md5

Revision 1.32  2003/06/27 13:36:04  qboosh
- up to 1.0.2, updated path patch, added amfix patch
- switched to GNOME2

Revision 1.31  2003/06/17 09:23:21  ankry
- fixed src URL and md5
NOTE: 1.0.1 available

Revision 1.30  2003/05/28 12:59:02  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 05:48:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/01/18 22:50:09  juandon
- removed two lines with define

Revision 1.27  2002/12/04 11:38:01  qboosh
- fixed "new %%doc"

Revision 1.26  2002/11/27 18:33:39  juandon
- new %%doc

Revision 1.25  2002/10/09 13:14:29  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.23  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/25 16:31:39  arturs
fixed a small typo

Revision 1.20  2002/04/18 16:48:57  martii
- updated info about new hoepage
- new sources link
- upped to version 0.99.19
- added some BuildReq
- STB

Revision 1.19  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/12/22 12:34:38  kloczek
- updated to 0.99.16 (bug fix release; start prepare French user manual).

Revision 1.16  2001/11/19 10:33:08  kloczek
- updated to 0.99.15.

Revision 1.15  2001/11/06 09:26:30  kloczek
- updated to 0.99.14.

Revision 1.14  2001/11/05 21:55:55  kloczek
- updated to 0.99.13.

Revision 1.13  2001/10/03 22:32:57  kloczek
- updated to 0.99.12,
- new Source url.

Revision 1.12  2001/08/15 23:36:28  kloczek
- updated to 0.99.11.

Revision 1.11  2001/08/06 16:35:10  kloczek
- updated to 0.99.9.

Revision 1.10  2001/07/30 09:46:06  kloczek
- updated to 0.99.8.

Revision 1.9  2001/07/27 20:21:47  migo
'- added Summary(pl)'

Revision 1.8  2001/07/23 04:46:51  kloczek
- updated to 0.99.7.

Revision 1.7  2001/07/11 12:46:48  kloczek
- updated to 0.99.6.

Revision 1.6  2001/06/28 02:24:42  kloczek
- typo in %files.

Revision 1.5  2001/06/28 01:52:17  kloczek
- updated to 0.99.5.

Revision 1.4  2001/06/01 20:10:15  kloczek
- updated to 0.19.2,
- removed outdated DESTDIR patch.

Revision 1.3  2001/05/15 20:45:04  kloczek
- many changes for move spec file to form compliant wit PLD spec coding style.

Revision 1.2  2001/05/15 13:12:57  depesz
- working: thanx to dobrek.
- added some workaround about automake/conf

Revision 1.1  2001/05/15 10:42:26  depesz
- first version - based on spec by Yves Mettier <ymettier@libertysurf.fr>
- not ready to be built
